Page MenuHomePhabricator

QualityConstraints\Api\CheckConstraintsRdf is missing tests
Closed, ResolvedPublic5 Story Points

Description

There doesn't appear to be any tests relating to the CheckConstraintsRdf Action (not action api action).

We should have some sort of test coverage.

Event Timeline

Tarrow created this task.Oct 24 2018, 3:27 PM
Restricted Application added a project: Wikidata. · View Herald TranscriptOct 24 2018, 3:27 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Addshore renamed this task from QualityConstraints \Api\CheckConstraintsRdf is missing tests to QualityConstraints\Api\CheckConstraintsRdf is missing tests.Nov 6 2018, 11:44 AM
Addshore triaged this task as Low priority.
Addshore moved this task from Incoming to Ready to estimate on the Wikidata-Campsite board.
Addshore updated the task description. (Show Details)Nov 13 2018, 2:23 PM
Addshore updated the task description. (Show Details)
Addshore set the point value for this task to 5.
Addshore moved this task from incoming to in progress on the Wikidata board.Nov 13 2018, 3:34 PM

Change 474911 had a related patch set uploaded (by Michael Große; owner: Michael Große):
[mediawiki/extensions/WikibaseQualityConstraints@master] Add tests for CheckConstraintsRdf

https://gerrit.wikimedia.org/r/474911

Change 474911 merged by jenkins-bot:
[mediawiki/extensions/WikibaseQualityConstraints@master] Add tests for CheckConstraintsRdf

https://gerrit.wikimedia.org/r/474911